Create Recipient (GQL)

Note: All the payment API's have the endpoint: /graphql

Use this API for creating a recipient.
This process involves creating a new record in the platform that includes the recipient's essential details, such as their name, bank account number, and sometimes additional information like the bank's name and routing number.
The recipient Id generated can be used for transfer funds using any of the payment rails.

Behaviour : A successful response from this API indicates that the recipient was successfully created.

Body Params

In the respective payment rail, whatever fields are written as mandatory, all those fields should be passed to create the recipient. Given a brief description about the parameters below.
The recipients are linked to a client.

ParameterDescriptionMandatoryData TypeExample
nickNameNickname of the recipient.YesStringVamsi
recipientTypeType of recipient (Individual or Business).YesStringIndividual
firstNameFirst name of the individual recipient.Mandatory for IndividualStringVamsi
lastNameLast name of the individual recipient.(Mandatory for Individual)StringUSA
businessNameName of the business recipient.(Mandatory for Business)StringVamsi
emailAddressEmail address of the recipient.OptionalString[email protected]
phoneNumberPhone number of the recipient.OptionalString480XXXXXXX
paymentRailType of payment rail (ACH, Wire, Internal, SWIFT).YesStringACH
isOwnAccountIndicates whether the account is owned by the recipient (true or false).YesBooleantrue
addressAddress details of the recipient.ConditionalObject
line1First line of the address.MandatoryStringString
line2Second line of the address.OptionalStringString
cityCity of the address.MandatoryStringPark City
stateCodeState code of the address.MandatoryStringString
countryCodeCountry code of the address.MandatoryStringString
postalCodePostal code of the address.MandatoryStringString
accountDetailsDetails of the recipient's account.Object
accountIdIdentifier for the recipient's account.ConditionalStringString
accountNumberAccount number of the recipient.ConditionalStringString
accountTypeType of account (CHECKING, SAVINGS). Default : CHECKINGOptional - Default CheckingStringCHECKING
paymentRailMetaDataAdditional metadata for the payment rail.Object
destinationCurrencyThe currency in which the payment is intended to be received.ConditionalStringCAD
branchIdentifierThe branch identifier of the recipient's bank. Varies by currency.ConditionalString12345
bankIdentifierFinancial institution code. Varies by currency.ConditionalInteger987
bankInformationBank information associated with the recipient's account.Object
routingNumberRouting number (ABA for ACH & Wire)ConditionalString1234
swiftCodeSWIFT code for international wire transfers.ConditionalStringABAD

Currency-Specific Details for paymentRailMetaData

CurrencyBranch Identifier TypeBank Identifier TypeFormat Requirements
CADtransitCodebankCodetransitCode: 5 digits
bankCode: 3 digits
JPYbranchCodebankCodebranchCode: 3 digits
bankCode: 4 digits
MXNNot requiredNot requiredAccount number only (18 digits)
GBPsortCodeNot requiredsortCode: 6 digits
EURswiftCodeNot requiredswiftCode: 8 or 11 alphanumerics
HKDswiftCodebankCodeswiftCode: 8 or 11 alphanumerics
bankCode: 3 digits
AUDbsbCodeNot requiredbsbCode: 6 digits
INRiFSCCodeNot requirediFSCCode: 11 alphanumerics (4 letters + 7 alphanumerics)
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!